Skip to main content
`Ctrl`+`K`

# NEPNLEIGSGetFullBasis

Gets the flag that indicates if NLEIGS is using the full-basis variant.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetFullBasis(NEP nep,PetscBool *fullbasis)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- fullbasis - the flag

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSSetFullBasis()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs.c

## Implementations

NEPNLEIGSGetFullBasis_NLEIGS() in src/nep/impls/nleigs/nleigs.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages